# Update SQL workbook name

Modifying the name of the SQL saved record will not modify the SQL content or version saved therein.

```text
POST https://moi.matrixorigin.cn/newmoi/workbook/update
```

## Preparation before calling

Prepare your personal access token, workspace ID, save record ID, and new name with update permissions. `$AI_STUDIO_API_KEY` is the personal access token used as the value of the `X-API-Key` request header; `$WORKSPACE_ID` is the target workspace ID used as the value of the `X-Workspace-ID` request header. You can first [View saved SQL](list-workbooks.md) to obtain `workbook_id`.

`$WORKBOOK_ID` in the example below is the ID of the SQL saved record and `$WORKBOOK_NAME` is the new name.

## Request body

Replace caller-specific values in the example with actual values.

::::{div} mo-api-split
:::{div} mo-api-split-main
```{raw} html
<dl class="mo-api-fields">
<div class="mo-api-field"><dt><code>workbook_id</code><span class="mo-api-field__type">string</span><span class="mo-api-field__required">Required</span></dt><dd>The ID of the SQL saved record.</dd></div>
<div class="mo-api-field"><dt><code>name</code><span class="mo-api-field__type">string</span><span class="mo-api-field__required">Required</span></dt><dd>New name.</dd></div>
</dl>
```
:::
:::{div} mo-api-split-aside
```{raw} html
<p class="mo-api-example-label">Request example</p>
```
```bash
curl -X POST "https://moi.matrixorigin.cn/newmoi/workbook/update" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H 'Content-Type: application/json' \
  -d "{
    \"workbook_id\": \"$WORKBOOK_ID\",
    \"name\": \"$WORKBOOK_NAME\"
  }"
```
:::
::::
## Successful response

`data` is empty on success. You can then [View saved SQL](list-workbooks.md) confirm the new name.

```json
{
  "code": 200,
  "data": null
}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data` | null | Fixed to `null` when the update is successful. |

## Error response

::::{div} mo-api-split
:::{div} mo-api-split-main
```{raw} html
<dl class="mo-api-fields">
<div class="mo-api-field"><dt><code>code</code><span class="mo-api-field__type">integer or string</span></dt><dd>Error code or status.</dd></div>
<div class="mo-api-field"><dt><code>message</code><span class="mo-api-field__type">string</span></dt><dd>Error message.</dd></div>
</dl>
```
:::
:::{div} mo-api-split-aside
```{raw} html
<p class="mo-api-example-label">Error response example</p>
```
```json
{
  "code": 404,
  "message": "SQL 工作簿不存在"
}
```
:::
::::
## Follow-up operations

Use the same resource identifier [View saved SQL version content](get-workbook.md) to confirm the update result.
